      INTEGER FUNCTION ISRCHFLE(N,ARRAY,INC,TARGET)
      REAL ARRAY(1+INC*(N-1))
C
      IF (N.LE.0) THEN
        ISRCHFLE=0
        RETURN
      ELSE
        DO 1 I=1,N
          IF ( ARRAY(1+INC*(I-1)).LE.TARGET ) THEN
            ISRCHFLE=I
            RETURN
          ENDIF
1       CONTINUE
        ISRCHFLE=N+1
      ENDIF
      END
